Subject: Re: bug#2375: 23.0.90; ^ in gnus summary buffer does not work in the nextstep build

From: Harald Maier <[email-masked]>
Date: Tue, 24 Feb 2009 06:00:22 +0100

YAMAMOTO Mitsuharu <[email-masked]> writes:

>>>>>> On Sat, 21 Feb 2009 10:30:50 +0100, Harald Maier <[email-masked]> said:
>
>>> What do you think about the dead-key behavior in the Carbon port
>>> (Emacs 22)?  If it is reasonable enough, maybe the Cocoa/GNUstep
>>> port can adopt its strategy.
>
>> That works but I don't like it. My preference is as in the X11
>> build.
>
> Could you explain more in detail how they are different and why you
> don't like it?  Note that some distributions (such as Carbon Emacs
> Package or Aquamacs Emacs) based on the Carbon port applies some patch
> with respect to text input, and their behavior is not strictly the
> same as the Carbon port I'm talking about.

It really inserts a caret character into the gnus summary buffer as you
can see in the attached image. That looks very strange.

Harald